# 投票
vote = [
"山田太郎", "鈴木花子", "佐藤三郎", "鈴木花子",
"鈴木花子", "佐藤三郎", "鈴木花子", "佐藤三郎",
"鈴木花子", "鈴木花子", "山田太郎", "鈴木花子"
]

# 投票数
n = len(vote)

# 半数を得る
half = n // 2

# 当選者を空文字列で初期化する
winner = ""

# 票を取り出す繰り返し処理
for i in range(0, n):
    # すでに集計済みの票なら次の票に進む
    if vote[i] == "":
        continue;
        
    # 現時点の候補者の得票数に1を設定する
    count = 1

    # 現時点の候補者の得票数を数える繰り返し処理
    for j in range(i + 1, n):
        # 取り出した票が現時点の候補者と同じ場合
        if vote[j] == vote[i]:
            # 得票数に1を加える
            count += 1
            # 空文字列を代入して集計済みである印を付ける
            vote[j] = ""
            # 過半数が確定した時点で繰り返し処理を終了する
            if count > half:
                winner = vote[i]
                break

    # 過半数が確定していれば繰り返し処理を終了する
    if winner != "":
        break

# 結果を表示する
if winner != "":
    print(winner + "が過半数を取りました。")
else:
    print("過半数を取った人はいません。")
